internal::input_types< 2, InputTuple > Struct Template Reference

`#include <_flow_graph_indexer_impl.h>`

Collaboration diagram for internal::input_types< 2, InputTuple >:

## Public Types

typedef tuple_element< 0, InputTuple >::type | first_type
typedef tuple_element< 1, InputTuple >::type | second_type
typedef internal::tagged_msg< size_t, first_type, second_type > | type

## Detailed Description

### template<typename InputTuple>
struct internal::input_types< 2, InputTuple >

Definition at line 343 of file _flow_graph_indexer_impl.h.

## Member Typedef Documentation

## first_type

template<typename InputTuple >

typedef tuple_element<0, InputTuple>::type internal::input_types< 2, InputTuple >::first_type

Definition at line 344 of file _flow_graph_indexer_impl.h.

## second_type

template<typename InputTuple >

typedef tuple_element<1, InputTuple>::type internal::input_types< 2, InputTuple >::second_type

Definition at line 345 of file _flow_graph_indexer_impl.h.

## type

template<typename InputTuple >

typedef internal::tagged_msg<size_t, first_type, second_type> internal::input_types< 2, InputTuple >::type

Definition at line 346 of file _flow_graph_indexer_impl.h.

The documentation for this struct was generated from the following file:

- _flow_graph_indexer_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.